<?php

namespace TelegramApi\Types;

class InlineQueryResultCachedVideo extends InlineQueryResult
{
	/** @var Type Description */
	public Type $field;

	/** @var string Type of the result, must be video */
	public string $type = 'video';

	/** @var string Unique identifier for this result, 1-64 bytes */
	public string $id;

	/** @var string A valid file identifier for the video file */
	public string $videoFileId;

	/** @var string Title for the result */
	public string $title;

	/** @var string|null Optional. Short description of the result */
	public ?string $description = null;

	/** @var string|null Optional. Caption of the video to be sent, 0-200 characters */
	public ?string $caption = null;

	/** @var string|null Optional. Send Markdown or HTML, if you want Telegram apps to show bold, italic, fixed-width text or inline URLs in the media caption. */
	public ?string $parseMode = null;

	/** @var InlineKeyboardMarkup|null Optional. Inline keyboard attached to the message */
	public ?InlineKeyboardMarkup $replyMarkup = null;

	/** @var InputMessageContent|null Optional. Content of the message to be sent instead of the video */
	public ?InputMessageContent $inputMessageContent = null;
}
