<?php

namespace TelegramApi\Types;

class InputMediaPhoto extends InputMedia
{
	/** @var Type Description */
	public Type $field;

	/** @var string Type of the result, must be photo */
	public string $type = 'photo';

	/** @var string File to send. Pass a file_id to send a file that exists on the Telegram servers (recommended), pass an HTTP URL for Telegram to get a file from the Internet, or pass "attach://<file_attach_name>" to upload a new one using multipart/form-data under <file_attach_name> name. More info on Sending Files » */
	public string $media;

	/** @var string|null Optional. Caption of the photo to be sent, 0-200 characters */
	public ?string $caption = null;

	/** @var string|null Optional. Send Markdown or HTML, if you want Telegram apps to show bold, italic, fixed-width text or inline URLs in the media caption. */
	public ?string $parseMode = null;
}
