<?php

namespace TelegramApi\Types;

class KeyboardButton implements TypeInterface
{
	/** @var Type Description */
	public Type $field;

	/** @var string Text of the button. If none of the optional fields are used, it will be sent as a message when the button is pressed */
	public string $text;

	/** @var bool|null Optional. If True, the user's phone number will be sent as a contact when the button is pressed. Available in private chats only */
	public ?bool $requestContact = null;

	/** @var bool|null Optional. If True, the user's current location will be sent when the button is pressed. Available in private chats only */
	public ?bool $requestLocation = null;
}
