<?php

namespace TelegramApi\Types;

class ResponseParameters implements TypeInterface
{
	/** @var Type Description */
	public Type $field;

	/** @var int|null Optional. The group has been migrated to a supergroup with the specified identifier. This number may be greater than 32 bits and some programming languages may have difficulty/silent defects in interpreting it. But it is smaller than 52 bits, so a signed 64 bit integer or double-precision float type are safe for storing this identifier. */
	public ?int $migrateToChatId = null;

	/** @var int|null Optional. In case of exceeding flood control, the number of seconds left to wait before the request can be repeated */
	public ?int $retryAfter = null;
}
